Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb3.embedded
Class XidFactoryMBean

    java.lang.Object
      org.jboss.ejb3.embedded.XidFactoryMBean

All Implemented Interfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.tm.XidFactoryBase, org.jboss.tm.XidFactoryMBean

    public class XidFactoryMBean

extends java.lang.Object
implements org.jboss.tm.XidFactoryMBean

Stupid wrapper because tons of services use the XidFactoryMBean interface.

Version:
  $Revision: 1.2 $
Author:
  Bill Burke

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`XidFactoryMBean(org.jboss.tm.XidFactoryBase base)`

Method Summary
`void` | `create()`
`void` | `destroy()`
`long` | `extractLocalIdFrom(byte[] globalId)`
`java.lang.String` | `getBaseBranchQualifier(byte[] branchQualifier)`
`java.lang.String` | `getBaseGlobalId()`
`java.lang.String` | `getBranchQualifier()`
`long` | `getGlobalIdNumber()`
`org.jboss.tm.XidFactoryMBean` | `getInstance()`
`java.lang.String` | `getName()`
`int` | `getState()`
`java.lang.String` | `getStateString()`
`boolean` | `isPad()`
`void` | `jbossInternalLifecycle(java.lang.String method)`
`byte[]` | `localIdToGlobalId(long localId)`
`org.jboss.tm.XidImpl` | `newBranch(org.jboss.tm.GlobalId globalId)`
`org.jboss.tm.XidImpl` | `newBranch(org.jboss.tm.XidImpl xid, long branchIdNum)`
`org.jboss.tm.XidImpl` | `newXid()`
`org.jboss.tm.XidImpl` | `recreateXid(long localId)`
`org.jboss.tm.XidImpl` | `recreateXid(long localId, org.jboss.tm.GlobalId globalId)`
`void` | `setBaseGlobalId(java.lang.String baseGlobalId)`
`void` | `setBranchQualifier(java.lang.String branchQualifier)`
`void` | `setGlobalIdNumber(long globalIdNumber)`
`void` | `setPad(boolean pad)`
`void` | `start()`
`void` | `stop()`
`java.lang.String` | `toString(javax.transaction.xa.Xid xid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XidFactoryMBean

    public XidFactoryMBean(org.jboss.tm.XidFactoryBase base)

Method Detail

### getInstance

    public org.jboss.tm.XidFactoryMBean getInstance()

  Specified by:
    `getInstance` in interface `org.jboss.tm.XidFactoryMBean`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.jboss.system.ServiceMBean`

### getState

    public int getState()

  Specified by:
    `getState` in interface `org.jboss.system.ServiceMBean`

### getStateString

    public java.lang.String getStateString()

  Specified by:
    `getStateString` in interface `org.jboss.system.ServiceMBean`

### jbossInternalLifecycle

    public void jbossInternalLifecycle(java.lang.String method)
                                throws java.lang.Exception

  Specified by:
    `jbossInternalLifecycle` in interface `org.jboss.system.ServiceMBean`
  Throws:
    `java.lang.Exception`

### create

    public void create()
                throws java.lang.Exception

  Specified by:
    `create` in interface `org.jboss.system.Service`
  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.jboss.system.Service`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.jboss.system.Service`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.jboss.system.Service`

### getBaseGlobalId

    public java.lang.String getBaseGlobalId()

  Specified by:
    `getBaseGlobalId` in interface `org.jboss.tm.XidFactoryBase`

### setBaseGlobalId

    public void setBaseGlobalId(java.lang.String baseGlobalId)

  Specified by:
    `setBaseGlobalId` in interface `org.jboss.tm.XidFactoryBase`

### getGlobalIdNumber

    public long getGlobalIdNumber()

  Specified by:
    `getGlobalIdNumber` in interface `org.jboss.tm.XidFactoryBase`

### setGlobalIdNumber

    public void setGlobalIdNumber(long globalIdNumber)

  Specified by:
    `setGlobalIdNumber` in interface `org.jboss.tm.XidFactoryBase`

### getBranchQualifier

    public java.lang.String getBranchQualifier()

  Specified by:
    `getBranchQualifier` in interface `org.jboss.tm.XidFactoryBase`

### setBranchQualifier

    public void setBranchQualifier(java.lang.String branchQualifier)

  Specified by:
    `setBranchQualifier` in interface `org.jboss.tm.XidFactoryBase`

### isPad

    public boolean isPad()

  Specified by:
    `isPad` in interface `org.jboss.tm.XidFactoryBase`

### setPad

    public void setPad(boolean pad)

  Specified by:
    `setPad` in interface `org.jboss.tm.XidFactoryBase`

### newXid

    public org.jboss.tm.XidImpl newXid()

  Specified by:
    `newXid` in interface `org.jboss.tm.XidFactoryBase`

### newBranch

    public org.jboss.tm.XidImpl newBranch(org.jboss.tm.GlobalId globalId)

  Specified by:
    `newBranch` in interface `org.jboss.tm.XidFactoryBase`

### newBranch

    public org.jboss.tm.XidImpl newBranch(org.jboss.tm.XidImpl xid,
                                          long branchIdNum)

  Specified by:
    `newBranch` in interface `org.jboss.tm.XidFactoryBase`

### recreateXid

    public org.jboss.tm.XidImpl recreateXid(long localId)

  Specified by:
    `recreateXid` in interface `org.jboss.tm.XidFactoryBase`

### recreateXid

    public org.jboss.tm.XidImpl recreateXid(long localId,
                                            org.jboss.tm.GlobalId globalId)

  Specified by:
    `recreateXid` in interface `org.jboss.tm.XidFactoryBase`

### localIdToGlobalId

    public byte[] localIdToGlobalId(long localId)

  Specified by:
    `localIdToGlobalId` in interface `org.jboss.tm.XidFactoryBase`

### extractLocalIdFrom

    public long extractLocalIdFrom(byte[] globalId)

  Specified by:
    `extractLocalIdFrom` in interface `org.jboss.tm.XidFactoryBase`

### getBaseBranchQualifier

    public java.lang.String getBaseBranchQualifier(byte[] branchQualifier)

  Specified by:
    `getBaseBranchQualifier` in interface `org.jboss.tm.XidFactoryBase`

### toString

    public java.lang.String toString(javax.transaction.xa.Xid xid)

  Specified by:
    `toString` in interface `org.jboss.tm.XidFactoryBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD